package de.renew.dcdiagram;

import CH.ifa.draw.figures.ArrowTip;

/**
 * DCMessageArrowTip is a special implementation of {@link ArrowTip} for the purposes of dc drawing behavior in AIPs.
 *
 * @author Martin Wincierz
 */
public class DCMessageArrowTip extends ArrowTip {

    /**
     * Creates a new DCMessageArrowTip with creating a new ArrowTip.
     * The angle is 0.40, outer and inner radius of the tip are 9 and the tip is not filled out.
     */
    public DCMessageArrowTip() {
        super(0.40, 9, 9, false);
    }
}