/*
 * Created on Apr 13, 2003
 */
package de.renew.diagram;

import CH.ifa.draw.io.SimpleFileFilter;


/**
 * This class represents a FileFilter for Agent Interaction Protocol (.aip) files
 *
 * @author Lawrence Cabac
 */
public class AIPFileFilter extends SimpleFileFilter {

    /**
     * Creates a new AIPFileFilter Instance for Agent Interaction Protocol (.aip) files.
     */
    public AIPFileFilter() {
        this.setExtension("aip");
        this.setDescription("Agent Interaction Protocol (*.aip)");
    }
}