/*
 * @(#)ANDDecoration.java
 *
 */
package de.renew.diagram;

import java.awt.Color;


/**
 * Decoration in diamond form filled black and with black outline.
 *
 * @author Lawrence Cabac
 */
public class ANDDecoration extends SplitDecoration implements FigureDecoration {
    // protected int size;
    //protected int halfSize;

    /**
     * Creates a new ANDDecoration instance.
     * Sets fill and frame color to black.
     */
    public ANDDecoration() {
        setSize(20);

        setFillColor(Color.black);
        setFrameColor(Color.black);
    }
}