/*
 * Created on Apr 14, 2003
 */
package de.renew.diagram;

import CH.ifa.draw.figures.RoundRectangleFigure;

import java.awt.Point;


/**
 * DiagramFrameFigures are Diagram Elements in AIP drawings which frame other figures within a rounded
 * rectangle.
 * @author Lawrence Cabac
 */
public class DiagramFrameFigure extends RoundRectangleFigure
                implements IDiagramElement {
    /**
     * Create a default DiagramFrameFigure as per the default {@link RoundRectangleFigure}
     * contract.
     */
    public DiagramFrameFigure() {
        super();
    }

    /**
     * Creates a new DiagramFrameFigure starting at Origin and extending to Corner.
     * @param origin the point where the DiagramFrameFigure starts
     * @param corner the opposite corner where the rectangle of the Figure ends
     */
    public DiagramFrameFigure(Point origin, Point corner) {
        super(origin, corner);
    }
}