/*
 * Created on Apr 16, 2003
 */
package de.renew.diagram;

import CH.ifa.draw.figures.TextFigure;
import CH.ifa.draw.figures.TextTool;
import CH.ifa.draw.framework.DrawingEditor;


/**
 * DiagramTextTool is a custom implementation of the generic {@link TextTool} for the purpose of placing
 * {@link DiagramTextFigure} annotations on various elements of an AIP diagram drawing.
 * @author Lawrence Cabac
 */
public class DiagramTextTool extends TextTool implements IDiagramElement {
    /**
     * Creates a new DiagramTextTool which clones from a submitted prototype figure.
     * @param editor the editor context within which the tool works
     * @param prototype the prototype from which to clone 
     */
    public DiagramTextTool(DrawingEditor editor, TextFigure prototype) {
        super(editor, prototype);
    }
}