/**
 * The Diagram module provides the capabilities to draw Agent Interaction Protocol drawings and programmatically
 * transform these AIP drawings into Petri net drawings for further user extension and use within MULAN.
 */
module de.renew.diagram {
    //Provided Packages
    exports de.renew.diagram.peer;
    exports de.renew.diagram;
    exports de.renew.diagram.drawing;
    //Renew Dependencies
    requires de.renew.netcomponents;
    requires de.renew.feature.structures;
    //Java Dependencies
    requires java.desktop;
    //Third-Party Dependencies
    requires log4j;

}